#codeMAFIA
##General Allocation Portal
--------------------------------------------------------------------------------------------------------------------------------------------------------

	Members				|	Roll Number	|	Contribution  	|
	------------------------------  |  -------------------  |  --------------------	|
	Kunal Goyal			|	160050026	|	100%		|
	Aman Jain			|	160050034	|	100%		|
	Eashan Gupta			|	130050045	|	100%		|

#### System Requirements:
--------------------------------------------------------------------------------------------------------------------------------------------------------

* Python 3.5
* Django 1.11.5 installed on python 3.5
* A web browser to run the web application

#### How to execute:
--------------------------------------------------------------------------------------------------------------------------------------------------------

1. In terminal, cd to the project directory `cd project`
2. Then run the command `python3 manage.py makemigrations` and then `python3 manage.py migrate`. These commands start a new database or modify the existing database.
3. To start the local host and run the portal, run the command `python3 manage.py runserver`. You should get an output as:
	>Performing system checks...

	>System check identified no issues (0 silenced).
	>October 31, 2014 - 16:23:39
	>Django version 1.7.1, using settings 'mysite.settings'
	>Starting development server at http://127.0.0.1:8000/
	>Quit the server with CONTROL-C.

4. Now start the localhost server in your web browser by going to the link http://127.0.0.1:8000/
5. To create an admin use the command `python3 manage.py createsuperuser` in the terminal.
6. You can use the various links to register, login and manage accounts using the links provided on the home page or also do the same using the admin page which can accessed using the URL http://127.0.0.1:8000/admin/
7. Once your institute has registered, your rank etc provided by the institute are stored in the server sqlite database along with the choices, including those allocated to you and those preferred by you, from those made available by the institute. These choices are displayed once you log in.

Task-wise details:
--------------------------------------------------------------------------------------------------------------------------------------------------------

#####1. Allocation :
	* It is relatively simple to implement.
	* Sort the students in order of their rank and allocated as per the rank list.
	* Checking it's correctness is tough. One needs to solve the test cases manually and then check with the program output.

#####2. Institute Login:
	* The various institutes using the portal are admins with access to all the information of the applicants and the choices made available.
	* The institute can create a large number of applicant users, through csv file input, to give their preferences and allocate them choices.

#####3. Applicant Login:
	* The various applicant users of the portal are also provided with a username and a password as given by their institute. 
	* They can use this to login and fill in their preferences.

#####4. Freeze, Float, Drop:
	*  After allocating once, all the applicants can choose to either freeze, float or drop their current branch.
		* **Freeze**: Accept the current allocated choice and be removed from further rounds of allocation.
		* **Float**: Be included in further rounds of allocation thus risking the current allocated seat in hope for a better allocation.
		* **Drop**: To drop the current seat and not be included in further rounds of allocation.

#####5. Institute registration
	* New Institutes can register using a form.
	* The portal, once active, allows various institutes to use the matchmaking problem solver and so it can cater a wide variety of matchmaking problems.


